<?php
/*
Plugin Name: spotify-to-wp
Plugin URI: http://www.palentino.es/blog/spotify-2-blog-la-musica-que-escuchas-actualizada-en-tiempo-real-en-tu-web-o-blog/
Description: Conector de WP que lee el fichero canciones de spotify generado por Spotify-2-Blog. Requiere instalador local en PC, ver web.
Version: 1.0
Author: Oscar de la Cuesta
Author URI: http://www.palentino.es
License: GPL
*/

// Modifica los parámetros para ajustar el diseño del shortcode. Colores, tamaño, etc ...
function mostrar() {
   $contenido = "Listado  las canciones que escucho actualmente en Spotify.<br/>";
   $contenido = $contenido. "Actualizado en<strong> TIEMPO REAL.</strong><br/>Clic sobre el título de la canción para escucharla.<hr/>";
   $contenido = $contenido . "<div id='spotify-2-blog' style='color:75900a;height:200px;width:300px;overflow:auto;'></div>"; 
   $contenido = $contenido . "<hr/><p style='text-align:right;'><img src='http://www.palentino.es/spotify-2-web-logo.png'/></p>";
   $contenido = $contenido . "<a href='http://www.palentino.es/blog/spotify-2-blog-la-musica-que-escuchas-actualizada-en-tiempo-real-en-tu-web-o-blog/'>Spotify-2-blog, La música que escuchas en tiempo real en tu página web.</a>";
    return $contenido;
}


add_shortcode('spotify-2-blog', 'mostrar');



global $direccionspotity;


// Funcion de iniciacion del plugin
function spotify_init() {
	if (!is_admin()) {
		//No necesario - > wp_deregister_script('jquery');
		//$direccionspotity ='http://www.palentino.es/goldeneaglerRV46.html';
		//Leer archivo de texto WP	
			
		$direccionspotify = get_option('ruta-spotify-wp');
     		$direccionspotify = str_replace("##","//",$direccionspotify);
		wp_register_script('jquery', 'http://ajax.googleapis.com/ajax/libs/jquery/1.3.2/jquery.min.js', false, '1.3.2', true);
		wp_enqueue_script('jquery');
		// carga el fichero JS del plugin, para personalizar el jquery
		wp_enqueue_script('mi_script', plugins_url(). '/spotify-to-wp/js/funciones.js', array('jquery'), '1.0', true);
		// Pasar variable al script Js desde PHP
		$loc_variables = array('ruta' => $direccionspotify ,'lon' => $longitude);
		wp_localize_script('mi_script',  'acceso', $loc_variables );		

	}
}
add_action('init', 'spotify_init');


// Backend de configuracion
add_action('admin_menu', 'myplugin_menu_pages');

function myplugin_menu_pages() {
    // Add the top-level admin menu
    $page_title = 'Opciones de Spotify-to-2WP';
    $menu_title = 'Spotify-2-WP';
    $capability = 'manage_options';
    $menu_slug = 'myplugin-settings';
    $function = 'myplugin_settings';
    add_menu_page($page_title, $menu_title, $capability, $menu_slug, $function, plugins_url() . '/spotify-to-wp/img/icono.png');

    // Añado el elemento para opciones
    $sub_menu_title = 'Opciones';
    add_submenu_page($menu_slug, $page_title, $sub_menu_title, $capability, $menu_slug, $function);

    // Ahora añado el sub elemento para la página ayuda
    $submenu_page_title = 'Ayuda especial';
    $submenu_title = 'Ayuda';
    $submenu_slug = 'myplugin-help';
    $submenu_function = 'myplugin_help';
    add_submenu_page($menu_slug, $submenu_page_title, $submenu_title, $capability, $submenu_slug, $submenu_function);
}

function myplugin_settings() {
    if (!current_user_can('manage_options')) {
        wp_die('No tienes suficientes permisos para acceder a esta página.');
    }
    // Muestra  el HTML  para la página opciones o incluyo un fichero que hace eso
	require_once(dirname(__FILE__) . '/opciones.php');
}

function myplugin_help() {
    if (!current_user_can('manage_options')) {
        wp_die('No tienes suficientes permisos para acceder a esta página.');
    }

    // Muestra  el HTML  para la página opciones o incluyo un fichero que hace eso
	
	require_once(dirname(__FILE__) . '/ayuda.php');
}